/*************************************************************************
*	[摜]CXg[
*************************************************************************/

char	*get_inst_imag_mnu()
{
	char	*mnu;

	if ( (mnu = MNU_open()) == NULL )
		return (NULL);
	MNU_datAdd( mnu, 0, 'T', Rom16x16, 0, "install_tetujin" , 0, "摜̓SlB"                       );
	MNU_datAdd( mnu, 0, 'U', Rom16x16, 0, "install_ugoku"   , 0, ""                             );
	MNU_datAdd( mnu, 0, 'E', Rom16x16, 0, "install_eastray" , 0, "@\Cg[VOVXe EASTRAY" );
	MNU_datAdd( mnu, 0, 'C', Rom16x16, 0, "install_cs2ray"  , 0, "[Ro[^"                   );
	MNU_datAdd( mnu, 0, 'I', Rom16x16, 0, "install_icv"     , 0, "F摜Ro[gc[ hbu"      );
	MNU_datAdd( mnu, 0, 'D', Rom16x16, 0, "install_dolmorph", 0, "[tBOc[ DolphMorph"          );
	MNU_datAdd( mnu, 0, 'M', Rom16x16, 0, "install_merissa" , 0, "FM Towns Video Player MERISSA"          );
	MNU_datAdd( mnu, 0, 'G', Rom16x16, 0, "install_gafil"   , 0, "摜tB^ f"                );
	MNU_datAdd( mnu, 0, 'F', Rom16x16, 0, "install_g_field" , 0, "XvCg}bvGfB^ GIGA-FILED"    );
	MNU_setPosition(mnu,-1);

	return (mnu);
}

int		install_tetujin()
{
	static char	*buf[6] =
	{
		"softname	\"u摜̓SlBv\"",
		"instfile	/OH_TOWNS/TETUJIN	\"*.exg *.doc\"",
		"help		TETUJIN.GGG",
		"arcfile	src.lzh	SRC",
		"item		\"摜̓SlB\",TETUJIN.EXG,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		install_ugoku()
{
	static char	*buf[13] =
	{
		"softname	\"u񂷁v\"",
		"instfile	/OH_TOWNS/UGOKU	\"*.exp *.exg *.tab *.h *.lib ugoku.doc\"",
		"help		UGOKU.GGG",
		"arcfile	src.lzh	SRC",
		"demo		\"f\"	ugoku_demo",
		"item		\"MOVPLAY\"        ,MOVPLAY.EXP,\"\",2",
		"item		\"MOVPLAY/SHELL\"  ,MOVPLAY.EXG,\"\",2",
		"item		\"MOVREC\"         ,MOVREC.EXP ,\"\",2",
		"item		\"MOVREC/SHELL\"   ,MOVREC.EXG ,\"\",2",
		"item		\"VDSYS\"          ,VDSYS.EXP  ,\"\",2",
		"item		\"[t\"       ,MOVRLF.EXP ,\"\",2",
		"item		\"[t/SHELL\" ,MOVRLF.EXG ,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		ugoku_demo()
{
	char	*fn, para[256];

	strcpy( para,"-display 3");
	fn = para + strlen(para);
	fn[0] = ' ';
	fn[1] = DirStart[0];
	fn[2] = ':';
	strcpy(fn+3,"/OH_TOWNS/UGOKU/SAMPLE/hiroden.v02");

	fn = para + strlen(para);
	fn[0] = ' ';
	fn[1] = DirStart[0];
	fn[2] = ':';
	strcpy(fn+3,"/OH_TOWNS/UGOKU/SAMPLE/hirodenr.v02");

	exprun("/OH_TOWNS/DEMOTOOL/ugkplay.exp", para );

	return (0);
}

int		install_cs2ray()
{
	static char	*buf[5] =
	{
		"softname	\"[Ro[^\"",
		"instfile	/OH_TOWNS/CS2RAY	\"*.exg *.doc *.icn\"	-nocopydir",
		"help		CS2RAY.GGG",
		"item		\"CS2RAY\",CS2RAY.EXG,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		install_icv()
{
	static char	*buf[6] =
	{
		"softname	\"F摜Ro[gc[ ICV/Lite\"",
		"instfile	/OH_TOWNS/ICV	\"*.exp *.exg *.doc *.scr\"",
		"help		ICV.GGG",
		"item		\"ICV\"      ,ICV.EXP,\"\",2",
		"item		\"ICV/SHELL\",ICV.EXG,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		install_dolmorph()
{
	static char	*buf[6] =
	{
		"softname	\"DolphMorph\"",
		"instfile	/OH_TOWNS/DOLMORPH	\"*.exp *.man\" -nocopydir",
		"help		DOLMORPH.GGG",
		"demo		\"f\"	dolmorph_demo",
		"item		\"DOLMORPH\",DOLMORPH.EXP,\"\",2",
		NULL
	};

	return install_exec(buf);
}

int		dolmorph_demo()
{
	char	*fn, para[256];

	strcpy( para, "-wait 2");

	fn = &para[ strlen(para) ];
	fn[0] = ' ';
	fn[1] = DirStart[0];
	fn[2] = ':';
	strcpy(fn+3,"/OH_TOWNS/DOLMORPH/SMPL/FACE/face.mov");

	fn = &para[ strlen(para) ];
	fn[0] = ' ';
	fn[1] = DirStart[0];
	fn[2] = ':';
	strcpy(fn+3,"/OH_TOWNS/DOLMORPH/SMPL/HAND/hand.mov");

	fn = &para[ strlen(para) ];
	fn[0] = ' ';
	fn[1] = DirStart[0];
	fn[2] = ':';
	strcpy(fn+3,"/OH_TOWNS/DOLMORPH/SMPL/UNYO/unyo.mov");

	exprun( "/OH_TOWNS/DEMOTOOL/ugkplay.exp", para );

	return (0);
}


int		install_merissa()
{
	static char	*buf[5] =
	{
		"softname	\"FM Towns Video Player MERISSA\"",
		"instfile	/OH_TOWNS/MERISSA	\"*.cdl *.cfg *.dat *.doc *.env *.exp *.icn *.nao *.snd *.sys *.tif\"",
		"help		MERISSA.GGG",
		"item		\"MERISSA\",MERISSA.EXP,\"\",2",
		NULL
	};

	return install_exec(buf);
}

#include	"insteast.c"

